import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
//import {max,scaleSqrt  } from 'd3';
import { useUSGeo } from './useUSGeo';
import { useData } from './useData';
import { Marks } from './Marks';

const width = 960;
const height = 500;

const App = () => {
  const USGeo = useUSGeo();
  const data = useData();

  if (!USGeo || !data) {
    return <pre>Loading...</pre>;
  }

  return (
    <svg width={width} height={height}>
      <Marks USGeo={USGeo} data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
