import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import {feature} from 'topojson';  //import topojson feature class to convert Geojson

const jsonUrl =  
      'https://cdn.jsdelivr.net/npm/us-atlas@3.0.0/states-10m.json';  //using JsonURL reading Topo data
//const jsonUrl = 'https://cdn.jsdelivr.net/npm/us-atlas@3/nation-albers-10m.json'
export const useUSGeo = () => {
  const [data, setData] = useState(null);
  
  	console.log(data);
  //console.log(feature);

  useEffect(() => {												//converting topo data to map to features for pixel mapping
    json(jsonUrl).then(topojsonData => { 
    const {states} = topojsonData.objects;  //using objects to read country info
      
        console.log(topojsonData);
    setData(feature(topojsonData, states))
    });
  }, []);
  
  
  
  return data;
};